//***************** (c) 2008 BTC Korporacja ***********************************
//                     http://www kamami.com
// PROJECT  : BUZZER
// BOARD    : ZL4ST7 (with ST7FLI49M)
// COMPILER : RKitSTM8 for Ride7
//
//******************************************************************************
//
//    THE SOFTWARE INCLUDED IN THIS FILE IS FOR GUIDANCE ONLY.
//    BTC KORPORACJA SHALL NOT BE HELD LIABLE FOR ANY DIRECT, INDIRECT
//    OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY CLAIMS ARISING
//    FROM USE OF THIS SOFTWARE.
//
//******************************************************************************
//
// DESCRIPTION :
//    Simple sound generating.
//
//    Settings and connections on ZL4ST7:
//        PA0 (con15) - SPK (con7)
//
//******************************************************************************
#include <ST7LITE4.H>
#include <INTRIST7.H>
//-------------------------------------
// Sound function
//-------------------------------------
void Sound(int duration, int pulses)
{
volatile int i;
while(duration--)
  {
  for(i = pulses ; i > 0; i--);
  PADR ^= (1 << 0);
  }
}
//-------------------------------------
// main program
//-------------------------------------
int main(void)
{
volatile int i;
PADDR |= (1 << 0); // Config port
PAOR |= (1 << 0);
// Infinite loop
do{
  Sound(300,40);			    // play sound
  for(i = 0; i < 0x7FFF; i++);	// wait
}while(1);
return 0;
}
//-------------------------------------
// End of file
//-------------------------------------
