// ***************** (c) 2008 BTC Korporacja ***********************************
//                     http://www kamami.com
// PROJECT  : LED2
// BOARD    : ZL4ST7 (with ST7FLI49M)
// COMPILER : RKitSTM8 for Ride7
//
//******************************************************************************
//
//    THE SOFTWARE INCLUDED IN THIS FILE IS FOR GUIDANCE ONLY.
//    BTC KORPORACJA SHALL NOT BE HELD LIABLE FOR ANY DIRECT, INDIRECT
//    OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY CLAIMS ARISING
//    FROM USE OF THIS SOFTWARE.
//
//******************************************************************************
//
// DESCRIPTION :
//    Simple LEDs demonstration.
//
//    Settings and connections on ZL4ST7:
//        PB0 (con16) - LED0 (con9)
//        PB1 (con16) - LED1 (con9)
//        ...
//        PB7 (con16) - LED7 (con9)
//
//******************************************************************************
#include <ST7LITE4.H>
#include <INTRIST7.H>
//-------------------------------------
// main program
//-------------------------------------
int main(void)
{
volatile int i;
char temp;
PBDDR = 0xFF;  // Config PORTA as output
PBOR = 0xFF;   // Push-pull outputs
// Infinite loop
do{
PBDR = 1;
for(temp = 0; temp < 8; temp++)
  {
  for(i = 0; i < 0x1FFF; i++);	// Wait 
  PBDR <<= 1;				    // Shift port value left
  }
}while(1);
return 0;
}
//-------------------------------------
// End of file
//-------------------------------------
